[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# Tvector4_extended.squared_length

Calculates the squared length of the vector.

## Declaration

Source position: matrix.pp line 140

`function Tvector4_extended.squared_length: extended;`

## Description

Calculate the squared length of the vector: squared_length=data[0]**2+data[1]**2+data[2]**2+data[3]**2.